Package com.ibm.bamoe.ilmt.common

# Class SwidFileGenerator

java.lang.Object
com.ibm.bamoe.ilmt.common.SwidFileGenerator

public abstract class SwidFileGenerator extends Object

## Constructor Summary

Constructors
Constructor
Description
`SwidFileGenerator()`

## Method Summary

Modifier and Type
Method
Description
`void`
`createSwidFile()`
`abstract String`
`getFileName()`
`Path`
`getFilePath()`
`abstract String`
`getSwidContent()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SwidFileGenerator

public SwidFileGenerator()

## Method Details

### createSwidFile

public void createSwidFile()

### getFilePath

public Path getFilePath()

### getFileName

public abstract String getFileName()

### getSwidContent

public abstract String getSwidContent()